=== debian/changelog ===
ros-rolling-moveit-setup-srdf-plugins (2.8.0-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.7.4-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.7.2-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.7.1-2jammy) jammy; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Robert Haschke

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.7.0-2jammy) jammy; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.6.0-2jammy) jammy; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Cleanup cmake files
    - Replace ament_export_libraries() -> ament_export_targets(HAS_LIBRARY_TARGET)
    - Replace ament_export_include_directories() -> INCLUDES DESTINATION include
    See https://docs.ros.org/en/foxy/How-To-Guides/Ament-CMake-Documentation.html#building-a-library
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Robert Haschke, Sebastian Jahr

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.5.3-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.5.2-2jammy) jammy; urgency=high

  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * [MSA] Fix SRDF Initialization Bug / Copy Paste Error (#1381 <https://github.com/ros-planning/moveit2/issues/1381>)
  * [MSA] Fix compile issues
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)
  * [MSA] clang-format fixes
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Merge main into feature/msa (Part III) (#1249 <https://github.com/ros-planning/moveit2/issues/1249>)
  * [MSA] Merge main into feature/msa (Part II) (#1240 <https://github.com/ros-planning/moveit2/issues/1240>)
  * [MSA] Merge Upstream into feature/msa (#1119 <https://github.com/ros-planning/moveit2/issues/1119>)
  * [MSA] SRDF Setup (#1057 <https://github.com/ros-planning/moveit2/issues/1057>)
  * [MSA] Initial Refactor
  * [MSA] Move Files Around (split into multiple packages, change to hpp extension)
  * Contributors: David V. Lu!!, Vatan Aksoy Tezer

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 17 Jul 2022 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.5.1-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 30 May 2022 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.5.0-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 May 2022 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.3.2-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 28 Dec 2021 23:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.3.1-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Dec 2021 23:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.3.0-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 07 Oct 2021 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.2.1-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 11 Jul 2021 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.2.0-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 29 Jun 2021 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.1.4-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 30 May 2021 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.1.3-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 21 May 2021 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.1.2-2jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 Apr 2021 22:00:00 -0000

ros-rolling-moveit-setup-srdf-plugins (2.1.1-2jammy) jammy; urgency=high




